package com.ruoyi.web.modules.industryservice.domain;

import java.math.BigDecimal;
import javax.validation.constraints.NotNull;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 畜牧产品产量登记 biz_livestock_product_output
 */
public class BizLivestockProductOutput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @NotNull(message = "所属年份不能为空")
    private Integer statYear;

    @NotNull(message = "所属月份不能为空")
    private Integer statMonth;

    private Long townDeptId;

    private String townName;

    @NotNull(message = "所属村不能为空")
    private Long villageDeptId;

    private String villageName;

    private BigDecimal meatOutput;

    private BigDecimal milkOutput;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Integer getStatYear()
    {
        return statYear;
    }

    public void setStatYear(Integer statYear)
    {
        this.statYear = statYear;
    }

    public Integer getStatMonth()
    {
        return statMonth;
    }

    public void setStatMonth(Integer statMonth)
    {
        this.statMonth = statMonth;
    }

    public Long getTownDeptId()
    {
        return townDeptId;
    }

    public void setTownDeptId(Long townDeptId)
    {
        this.townDeptId = townDeptId;
    }

    public String getTownName()
    {
        return townName;
    }

    public void setTownName(String townName)
    {
        this.townName = townName;
    }

    public Long getVillageDeptId()
    {
        return villageDeptId;
    }

    public void setVillageDeptId(Long villageDeptId)
    {
        this.villageDeptId = villageDeptId;
    }

    public String getVillageName()
    {
        return villageName;
    }

    public void setVillageName(String villageName)
    {
        this.villageName = villageName;
    }

    public BigDecimal getMeatOutput()
    {
        return meatOutput;
    }

    public void setMeatOutput(BigDecimal meatOutput)
    {
        this.meatOutput = meatOutput;
    }

    public BigDecimal getMilkOutput()
    {
        return milkOutput;
    }

    public void setMilkOutput(BigDecimal milkOutput)
    {
        this.milkOutput = milkOutput;
    }
}
